Manifest-Version: 1.0
Bnd-LastModified: 1765158563059
Bundle-ClassPath: .,lib/commons-lang3-3.8.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Segments Service
Bundle-SymbolicName: com.liferay.segments.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 2.0.44.hotfix-10382-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.change.tracking.spi.reference;version="[1.
 0,2)",com.liferay.change.tracking.spi.reference.builder;version="[1.0
 ,2)",com.liferay.counter.kernel.service;version="[2.0,3)",com.liferay
 .document.library.kernel.model;version="[3.2,4)",com.liferay.expando.
 kernel.model;version="[3.3,4)",com.liferay.expando.kernel.service;ver
 sion="[1.7,2)",com.liferay.expando.kernel.util;version="[2.0,3)",com.
 liferay.exportimport.content.processor;version="[1.0,2)",com.liferay.
 exportimport.data.handler.base;version="[1.0,2)",com.liferay.exportim
 port.kernel.lar;version="[3.3,4)",com.liferay.exportimport.kernel.sta
 ging;version="[2.2,3)",com.liferay.exportimport.kernel.staging.permis
 sion;version="[1.0,2)",com.liferay.exportimport.kernel.xstream;versio
 n="[1.0,2)",com.liferay.exportimport.portlet.data.handler.helper;vers
 ion="[1.0,2)",com.liferay.exportimport.staged.model.repository;versio
 n="[1.1,2)",com.liferay.osgi.service.tracker.collections.list;version
 ="[2.0,3)",com.liferay.osgi.service.tracker.collections.map;version="
 [2.2,3)",com.liferay.osgi.util;version="[2.3,3)",com.liferay.petra.fu
 nction;version="[1.3,2)",com.liferay.petra.lang;version="[1.3,2)",com
 .liferay.petra.sql.dsl;version="[1.0,2)",com.liferay.petra.sql.dsl.ex
 pression;version="[1.0,2)",com.liferay.petra.sql.dsl.query;version="[
 1.0,2)",com.liferay.petra.string;version="[1.4,2)",com.liferay.portal
 .aop;version="[1.0,2)",com.liferay.portal.configuration.metatype.bnd.
 util;version="[2.0,3)",com.liferay.portal.dao.orm.custom.sql;version=
 "[1.0,2)",com.liferay.portal.kernel.backgroundtask;version="[8.0,9)",
 com.liferay.portal.kernel.bean;version="[8.0,9)",com.liferay.portal.k
 ernel.change.tracking;version="[1.2,2)",com.liferay.portal.kernel.con
 figuration;version="[6.3,7)",com.liferay.portal.kernel.dao.db;version
 ="[7.9,8)",com.liferay.portal.kernel.dao.jdbc;version="[8.0,9)",com.l
 iferay.portal.kernel.dao.orm;version="[9.7,10)",com.liferay.portal.ke
 rnel.events;version="[6.3,7)",com.liferay.portal.kernel.exception;ver
 sion="[9.5,10)",com.liferay.portal.kernel.json;version="[8.7,9)",com.
 liferay.portal.kernel.language;version="[8.3,9)",com.liferay.portal.k
 ernel.log;version="[7.0,8)",com.liferay.portal.kernel.messaging;versi
 on="[9.1,10)",com.liferay.portal.kernel.mobile.device;version="[9.0,1
 0)",com.liferay.portal.kernel.model;version="[5.6,6)",com.liferay.por
 tal.kernel.model.change.tracking;version="[1.0,2)",com.liferay.portal
 .kernel.model.impl;version="[3.4,4)",com.liferay.portal.kernel.module
 .framework;version="[1.4,2)",com.liferay.portal.kernel.module.framewo
 rk.service;version="[1.0,2)",com.liferay.portal.kernel.notifications;
 version="[8.0,9)",com.liferay.portal.kernel.scheduler;version="[9.1,1
 0)",com.liferay.portal.kernel.search;version="[9.5,10)",com.liferay.p
 ortal.kernel.search.filter;version="[1.0,2)",com.liferay.portal.kerne
 l.search.generic;version="[3.0,4)",com.liferay.portal.kernel.security
 .auth;version="[2.5,3)",com.liferay.portal.kernel.security.permission
 ;version="[3.4,4)",com.liferay.portal.kernel.security.permission.cont
 ributor;version="[1.0,2)",com.liferay.portal.kernel.security.permissi
 on.resource;version="[1.1,2)",com.liferay.portal.kernel.service;versi
 on="[4.11,5)",com.liferay.portal.kernel.service.change.tracking;versi
 on="[1.0,2)",com.liferay.portal.kernel.service.http;version="[1.0,2)"
 ,com.liferay.portal.kernel.service.permission;version="[2.0,3)",com.l
 iferay.portal.kernel.service.persistence;version="[6.4,7)",com.lifera
 y.portal.kernel.service.persistence.change.tracking;version="[1.3,2)"
 ,com.liferay.portal.kernel.service.persistence.change.tracking.helper
 ;version="[1.0,2)",com.liferay.portal.kernel.service.persistence.impl
 ;version="[3.2,4)",com.liferay.portal.kernel.servlet;version="[8.4,9)
 ",com.liferay.portal.kernel.systemevent;version="[6.2,7)",com.liferay
 .portal.kernel.theme;version="[3.1,4)",com.liferay.portal.kernel.tran
 saction;version="[8.1,9)",com.liferay.portal.kernel.upgrade;version="
 [8.5,9)",com.liferay.portal.kernel.util;version="[10.24,11)",com.life
 ray.portal.kernel.uuid;version="[6.2,7)",com.liferay.portal.kernel.xm
 l;version="[7.0,8)",com.liferay.portal.odata.entity;version="[2.0,3)"
 ,com.liferay.portal.odata.filter;version="[1.1,2)",com.liferay.portal
 .odata.filter.expression;version="[2.1,2.2)",com.liferay.portal.odata
 .normalizer;version="[1.0,2)",com.liferay.portal.search.batch;version
 ="[1.0,2)",com.liferay.portal.search.localization;version="[1.0,2)",c
 om.liferay.portal.search.query;version="[1.6,2)",com.liferay.portal.s
 earch.spi.model.index.contributor;version="[1.1,2)",com.liferay.porta
 l.search.spi.model.index.contributor.helper;version="[1.0,2)",com.lif
 eray.portal.search.spi.model.query.contributor;version="[1.1,2)",com.
 liferay.portal.search.spi.model.query.contributor.helper;version="[1.
 1,2)",com.liferay.portal.search.spi.model.registrar;version="[1.2,2)"
 ,com.liferay.portal.search.spi.model.registrar.contributor;version="[
 1.0,2)",com.liferay.portal.search.spi.model.result.contributor;versio
 n="[1.0,2)",com.liferay.portal.upgrade.registry;version="[3.0,4)",com
 .liferay.segments;version="[1.0,2)",com.liferay.segments.configuratio
 n;version="[1.0,2)",com.liferay.segments.constants;version="[1.4,2)",
 com.liferay.segments.context;version="[2.0,3)",com.liferay.segments.c
 ontext.contributor;version="[1.0,2)",com.liferay.segments.criteria;ve
 rsion="[1.1,2)",com.liferay.segments.criteria.contributor;version="[1
 .0,1.1)",com.liferay.segments.exception;version="[1.3,2)",com.liferay
 .segments.field;version="[1.0,2)",com.liferay.segments.field.customiz
 er;version="[1.1,1.2)",com.liferay.segments.model;version="[1.4,1.5)"
 ,com.liferay.segments.odata.matcher;version="[1.0,2)",com.liferay.seg
 ments.odata.retriever;version="[1.0,2)",com.liferay.segments.odata.se
 arch;version="[1.0,2)",com.liferay.segments.processor;version="[1.1,1
 .2)",com.liferay.segments.provider;version="[1.2,1.3)",com.liferay.se
 gments.service;version="[1.10,1.11)",com.liferay.segments.service.per
 sistence;version="[1.5,1.6)",com.liferay.segments.simulator;version="
 [1.0,2)",com.liferay.staging.model.listener;version="[1.0,2)",com.lif
 eray.xstream.configurator;version="[1.2,2)",javax.portlet,javax.servl
 et.http,javax.sql,org.osgi.framework;version="[1.8,2)",org.osgi.util.
 tracker;version="[1.5,2)"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Segments
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.3.0
Liferay-Service: true
Private-Package: com.liferay.segments.internal,com.liferay.segments.in
 ternal.change.tracking.spi.reference,com.liferay.segments.internal.co
 nstants,com.liferay.segments.internal.context,com.liferay.segments.in
 ternal.criteria.contributor,com.liferay.segments.internal.events,com.
 liferay.segments.internal.exportimport.content.processor,com.liferay.
 segments.internal.exportimport.data.handler,com.liferay.segments.inte
 rnal.exportimport.staged.model.repository,com.liferay.segments.intern
 al.field.customizer,com.liferay.segments.internal.messaging,com.lifer
 ay.segments.internal.model.listener,com.liferay.segments.internal.oda
 ta.entity,com.liferay.segments.internal.odata.filter.expression,com.l
 iferay.segments.internal.odata.matcher,com.liferay.segments.internal.
 odata.retriever,com.liferay.segments.internal.odata.search,com.lifera
 y.segments.internal.processor,com.liferay.segments.internal.provider,
 com.liferay.segments.internal.search,com.liferay.segments.internal.se
 arch.spi.model.index.contributor,com.liferay.segments.internal.search
 .spi.model.query.contributor,com.liferay.segments.internal.search.spi
 .model.result.contributor,com.liferay.segments.internal.security.perm
 ission.contributor,com.liferay.segments.internal.security.permission.
 resource,com.liferay.segments.internal.upgrade,com.liferay.segments.i
 nternal.upgrade.v2_0_0,com.liferay.segments.internal.upgrade.v2_0_0.d
 ependencies,com.liferay.segments.internal.upgrade.v2_2_0,com.liferay.
 segments.internal.upgrade.v2_2_0.dependencies,com.liferay.segments.in
 ternal.xstream.configurator,com.liferay.segments.model.impl,com.lifer
 ay.segments.service.base,com.liferay.segments.service.http,com.lifera
 y.segments.service.impl,com.liferay.segments.service.persistence.impl
 ,com.liferay.segments.service.persistence.impl.constants,lib,resource
 -actions,org.apache.commons.lang3,org.apache.commons.lang3.arch,org.a
 pache.commons.lang3.builder,org.apache.commons.lang3.concurrent,org.a
 pache.commons.lang3.event,org.apache.commons.lang3.exception,org.apac
 he.commons.lang3.math,org.apache.commons.lang3.mutable,org.apache.com
 mons.lang3.reflect,org.apache.commons.lang3.text,org.apache.commons.l
 ang3.text.translate,org.apache.commons.lang3.time,org.apache.commons.
 lang3.tuple
Provide-Capability: liferay.resource.bundle;resource.bundle.aggregate=
 "(bundle.symbolic.name=com.liferay.segments.lang)";resource.bundle.ba
 se.name="content.Language",osgi.service;objectClass:List<String>="com
 .liferay.change.tracking.spi.reference.TableReferenceDefinition";uses
 :="com.liferay.change.tracking.spi.reference",osgi.service;objectClas
 s:List<String>="com.liferay.exportimport.content.processor.ExportImpo
 rtContentProcessor,com.liferay.segments.internal.exportimport.content
 .processor.SegmentsEntryExportImportContentProcessor";uses:="com.life
 ray.exportimport.content.processor,com.liferay.segments.internal.expo
 rtimport.content.processor",osgi.service;objectClass:List<String>="co
 m.liferay.exportimport.kernel.lar.PortletDataHandler";uses:="com.life
 ray.exportimport.kernel.lar",osgi.service;objectClass:List<String>="c
 om.liferay.exportimport.kernel.lar.StagedModelDataHandler";uses:="com
 .liferay.exportimport.kernel.lar",osgi.service;objectClass:List<Strin
 g>="com.liferay.exportimport.staged.model.repository.StagedModelRepos
 itory";uses:="com.liferay.exportimport.staged.model.repository",osgi.
 service;objectClass:List<String>="com.liferay.portal.aop.AopService";
 uses:="com.liferay.portal.aop",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.messaging.MessageListener";uses:="com.life
 ray.portal.kernel.messaging",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.messaging.MessageListener,com.liferay.segmen
 ts.internal.messaging.SegmentsEntryRelIndexerMessageListener";uses:="
 com.liferay.portal.kernel.messaging,com.liferay.segments.internal.mes
 saging",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.model.ModelListener";uses:="com.liferay.portal.kernel.model",osgi
 .service;objectClass:List<String>="com.liferay.portal.odata.entity.En
 tityModel";uses:="com.liferay.portal.odata.entity",osgi.service;objec
 tClass:List<String>="com.liferay.portal.odata.filter.ExpressionConver
 t";uses:="com.liferay.portal.odata.filter",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.search.spi.model.index.contributor.Mo
 delDocumentContributor";uses:="com.liferay.portal.search.spi.model.in
 dex.contributor",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.search.spi.model.index.contributor.ModelIndexerWriterContributo
 r";uses:="com.liferay.portal.search.spi.model.index.contributor",osgi
 .service;objectClass:List<String>="com.liferay.portal.search.spi.mode
 l.query.contributor.KeywordQueryContributor";uses:="com.liferay.porta
 l.search.spi.model.query.contributor",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.search.spi.model.query.contributor.ModelPr
 eFilterContributor";uses:="com.liferay.portal.search.spi.model.query.
 contributor",osgi.service;objectClass:List<String>="com.liferay.porta
 l.search.spi.model.result.contributor.ModelSummaryContributor";uses:=
 "com.liferay.portal.search.spi.model.result.contributor",osgi.service
 ;objectClass:List<String>="com.liferay.portal.upgrade.registry.Upgrad
 eStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.se
 rvice;objectClass:List<String>="com.liferay.segments.SegmentsEntryRet
 riever";uses:="com.liferay.segments",osgi.service;objectClass:List<St
 ring>="com.liferay.segments.context.RequestContextMapper";uses:="com.
 liferay.segments.context",osgi.service;objectClass:List<String>="com.
 liferay.segments.criteria.contributor.SegmentsCriteriaContributor";us
 es:="com.liferay.segments.criteria.contributor",osgi.service;objectCl
 ass:List<String>="com.liferay.segments.criteria.contributor.SegmentsC
 riteriaContributorRegistry";uses:="com.liferay.segments.criteria.cont
 ributor",osgi.service;objectClass:List<String>="com.liferay.segments.
 field.customizer.SegmentsFieldCustomizerRegistry";uses:="com.liferay.
 segments.field.customizer",osgi.service;objectClass:List<String>="com
 .liferay.segments.internal.odata.entity.EntityModelFieldMapper";uses:
 ="com.liferay.segments.internal.odata.entity",osgi.service;objectClas
 s:List<String>="com.liferay.segments.odata.matcher.ODataMatcher";uses
 :="com.liferay.segments.odata.matcher",osgi.service;objectClass:List<
 String>="com.liferay.segments.odata.retriever.ODataRetriever";uses:="
 com.liferay.segments.odata.retriever",osgi.service;objectClass:List<S
 tring>="com.liferay.segments.odata.search.ODataSearchAdapter";uses:="
 com.liferay.segments.odata.search",osgi.service;objectClass:List<Stri
 ng>="com.liferay.segments.processor.SegmentsExperienceRequestProcesso
 r";uses:="com.liferay.segments.processor",osgi.service;objectClass:Li
 st<String>="com.liferay.segments.processor.SegmentsExperienceRequestP
 rocessorRegistry";uses:="com.liferay.segments.processor",osgi.service
 ;objectClass:List<String>="com.liferay.segments.provider.SegmentsEntr
 yProvider";uses:="com.liferay.segments.provider",osgi.service;objectC
 lass:List<String>="com.liferay.segments.provider.SegmentsEntryProvide
 rRegistry";uses:="com.liferay.segments.provider",osgi.service;objectC
 lass:List<String>="com.liferay.segments.service.persistence.SegmentsE
 ntryPersistence";uses:="com.liferay.segments.service.persistence",osg
 i.service;objectClass:List<String>="com.liferay.segments.service.pers
 istence.SegmentsEntryRelPersistence";uses:="com.liferay.segments.serv
 ice.persistence",osgi.service;objectClass:List<String>="com.liferay.s
 egments.service.persistence.SegmentsEntryRolePersistence";uses:="com.
 liferay.segments.service.persistence",osgi.service;objectClass:List<S
 tring>="com.liferay.segments.service.persistence.SegmentsExperiencePe
 rsistence";uses:="com.liferay.segments.service.persistence",osgi.serv
 ice;objectClass:List<String>="com.liferay.segments.service.persistenc
 e.SegmentsExperimentFinder";uses:="com.liferay.segments.service.persi
 stence",osgi.service;objectClass:List<String>="com.liferay.segments.s
 ervice.persistence.SegmentsExperimentPersistence";uses:="com.liferay.
 segments.service.persistence",osgi.service;objectClass:List<String>="
 com.liferay.segments.service.persistence.SegmentsExperimentRelPersist
 ence";uses:="com.liferay.segments.service.persistence",osgi.service;o
 bjectClass:List<String>="com.liferay.xstream.configurator.XStreamConf
 igurator";uses:="com.liferay.xstream.configurator",osgi.service;objec
 tClass:List<String>="com.liferay.segments.service.SegmentsEntryLocalS
 ervice",osgi.service;objectClass:List<String>="com.liferay.segments.s
 ervice.SegmentsEntryRelLocalService",osgi.service;objectClass:List<St
 ring>="com.liferay.segments.service.SegmentsEntryRelService",osgi.ser
 vice;objectClass:List<String>="com.liferay.segments.service.SegmentsE
 ntryRoleLocalService",osgi.service;objectClass:List<String>="com.life
 ray.segments.service.SegmentsEntryService",osgi.service;objectClass:L
 ist<String>="com.liferay.segments.service.SegmentsExperienceLocalServ
 ice",osgi.service;objectClass:List<String>="com.liferay.segments.serv
 ice.SegmentsExperienceService",osgi.service;objectClass:List<String>=
 "com.liferay.segments.service.SegmentsExperimentLocalService",osgi.se
 rvice;objectClass:List<String>="com.liferay.segments.service.Segments
 ExperimentRelLocalService",osgi.service;objectClass:List<String>="com
 .liferay.segments.service.SegmentsExperimentRelService",osgi.service;
 objectClass:List<String>="com.liferay.segments.service.SegmentsExperi
 mentService"
Require-Capability: liferay.resource.bundle;filter:="(bundle.symbolic.
 name=com.liferay.segments.lang)",osgi.extender;filter:="(&(osgi.exten
 der=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service
 ;filter:="(objectClass=com.liferay.counter.kernel.service.CounterLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.expando.kernel.service.ExpandoColumnLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.expando.kernel.
 service.ExpandoTableLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.exportimport.kernel.staging.Staging)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.expo
 rtimport.kernel.staging.permission.StagingPermission)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.exportimport.portl
 et.data.handler.helper.PortletDataHandlerHelper)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.exportimport.staged.mod
 el.repository.StagedModelRepository)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.exportimport.staged.model.repositor
 y.StagedModelRepositoryHelper)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.dao.orm.custom.sql.CustomSQL)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.backgroundtask.BackgroundTaskManager)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.configuration
 .Configuration)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.dao.orm.EntityCache)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.Fi
 nderCache)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.dao.orm.SessionFactory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.messaging.De
 stinationFactory)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.messaging.MessageBus)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.module.
 framework.ModuleServiceLifecycle)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.scheduler.SchedulerEngin
 eHelper)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.scheduler.TriggerFactory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.search.Index
 erRegistry)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.search.SearchResultPermissionFilterFactory)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.security.permission.PermissionCheckerFactory)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.sec
 urity.permission.resource.ModelResourcePermission)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.securit
 y.permission.resource.PortletResourcePermission)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.C
 lassNameLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.service.ClassNameService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.GroupLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.LayoutLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.LayoutService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.OrganizationLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.ResourceLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.R
 oleLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.UserLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.UserNotificationEventLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.UserService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.persistence.change.tracking.helper.CTPersistence
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.servlet.BrowserSniffer)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.util.Props)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.odata.entity.EntityModel)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.E
 xpressionConvert)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.odata.filter.FilterParser)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.Fil
 terParserProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.search.batch.DynamicQueryBatchIndexingActionab
 leFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.search.localization.SearchLocalizationHelper)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sear
 ch.query.QueryHelper)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.search.spi.model.index.contributor.ModelInd
 exerWriterContributor)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.search.spi.model.registrar.ModelSearchRegi
 strarHelper)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.search.spi.model.result.contributor.ModelSummaryCont
 ributor)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.segments.SegmentsEntryRetriever)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.segments.context.RequestContextMa
 pper)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.segments.criteria.contributor.SegmentsCriteriaContributorRegistry)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.se
 gments.field.customizer.SegmentsFieldCustomizerRegistry)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.segments.intern
 al.exportimport.content.processor.SegmentsEntryExportImportContentPro
 cessor)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.segments.internal.odata.entity.EntityModelFieldMapper)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.segments.oda
 ta.matcher.ODataMatcher)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.segments.odata.retriever.ODataRetriever)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.segments.
 odata.search.ODataSearchAdapter)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.segments.processor.SegmentsExperienceRe
 questProcessorRegistry)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.segments.provider.SegmentsEntryProviderRegistry)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.se
 gments.service.SegmentsEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.segments.service.SegmentsEntry
 RelLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.segments.service.SegmentsEntryRoleLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.segments.s
 ervice.SegmentsExperienceLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.segments.service.SegmentsExperime
 ntLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.segments.service.SegmentsExperimentRelLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.segment
 s.service.persistence.SegmentsEntryPersistence)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.segments.service.persist
 ence.SegmentsEntryRelPersistence)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.segments.service.persistence.SegmentsE
 ntryRolePersistence)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.segments.service.persistence.SegmentsExperiencePers
 istence)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.segments.service.persistence.SegmentsExperimentFinder)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.segments.se
 rvice.persistence.SegmentsExperimentPersistence)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.segments.service.persis
 tence.SegmentsExperimentRelPersistence)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.segments.simulator.SegmentsEntry
 Simulator)";effective:=active;resolution:=optional,osgi.service;filte
 r:="(objectClass=com.liferay.staging.model.listener.StagingModelListe
 ner)";effective:=active,osgi.service;filter:="(objectClass=javax.sql.
 DataSource)";effective:=active,osgi.contract;osgi.contract=JavaPortle
 t;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contra
 ct;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(v
 ersion=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.segments.internal.SegmentsEntr
 yRetrieverImpl.xml,OSGI-INF/com.liferay.segments.internal.change.trac
 king.spi.reference.SegmentsEntryRelTableReferenceDefinition.xml,OSGI-
 INF/com.liferay.segments.internal.change.tracking.spi.reference.Segme
 ntsEntryRoleTableReferenceDefinition.xml,OSGI-INF/com.liferay.segment
 s.internal.change.tracking.spi.reference.SegmentsEntryTableReferenceD
 efinition.xml,OSGI-INF/com.liferay.segments.internal.change.tracking.
 spi.reference.SegmentsExperienceTableReferenceDefinition.xml,OSGI-INF
 /com.liferay.segments.internal.change.tracking.spi.reference.Segments
 ExperimentRelTableReferenceDefinition.xml,OSGI-INF/com.liferay.segmen
 ts.internal.change.tracking.spi.reference.SegmentsExperimentTableRefe
 renceDefinition.xml,OSGI-INF/com.liferay.segments.internal.context.Re
 questContextMapperImpl.xml,OSGI-INF/com.liferay.segments.internal.cri
 teria.contributor.ContextSegmentsCriteriaContributor.xml,OSGI-INF/com
 .liferay.segments.internal.criteria.contributor.OrganizationSegmentsC
 riteriaContributor.xml,OSGI-INF/com.liferay.segments.internal.criteri
 a.contributor.SegmentsCriteriaContributorRegistryImpl.xml,OSGI-INF/co
 m.liferay.segments.internal.criteria.contributor.SegmentsEntrySegment
 sCriteriaContributor.xml,OSGI-INF/com.liferay.segments.internal.crite
 ria.contributor.UserOrganizationSegmentsCriteriaContributor.xml,OSGI-
 INF/com.liferay.segments.internal.criteria.contributor.UserSegmentsCr
 iteriaContributor.xml,OSGI-INF/com.liferay.segments.internal.events.S
 egmentsServicePreAction.xml,OSGI-INF/com.liferay.segments.internal.ex
 portimport.content.processor.SegmentsEntryExportImportContentProcesso
 r.xml,OSGI-INF/com.liferay.segments.internal.exportimport.data.handle
 r.SegmentsEntryStagedModelDataHandler.xml,OSGI-INF/com.liferay.segmen
 ts.internal.exportimport.data.handler.SegmentsExperienceStagedModelDa
 taHandler.xml,OSGI-INF/com.liferay.segments.internal.exportimport.dat
 a.handler.SegmentsPortletDataHandler.xml,OSGI-INF/com.liferay.segment
 s.internal.exportimport.staged.model.repository.SegmentsEntryStagedMo
 delRepository.xml,OSGI-INF/com.liferay.segments.internal.exportimport
 .staged.model.repository.SegmentsExperienceStagedModelRepository.xml,
 OSGI-INF/com.liferay.segments.internal.field.customizer.SegmentsField
 CustomizerRegistryImpl.xml,OSGI-INF/com.liferay.segments.internal.mes
 saging.SegmentsEntryReindexConfigurator.xml,OSGI-INF/com.liferay.segm
 ents.internal.messaging.SegmentsEntryReindexMessageListener.xml,OSGI-
 INF/com.liferay.segments.internal.messaging.SegmentsEntryRelIndexerMe
 ssageListener.xml,OSGI-INF/com.liferay.segments.internal.model.listen
 er.GroupModelListener.xml,OSGI-INF/com.liferay.segments.internal.mode
 l.listener.LayoutModelListener.xml,OSGI-INF/com.liferay.segments.inte
 rnal.model.listener.OrganizationExpandoColumnModelListener.xml,OSGI-I
 NF/com.liferay.segments.internal.model.listener.RoleModelListener.xml
 ,OSGI-INF/com.liferay.segments.internal.model.listener.SegmentsEntryS
 tagingModelListener.xml,OSGI-INF/com.liferay.segments.internal.model.
 listener.UserExpandoColumnModelListener.xml,OSGI-INF/com.liferay.segm
 ents.internal.odata.entity.EntityModelFieldMapper.xml,OSGI-INF/com.li
 feray.segments.internal.odata.entity.SegmentsEntryEntityModel.xml,OSG
 I-INF/com.liferay.segments.internal.odata.filter.expression.Predicate
 ExpressionConvertImpl.xml,OSGI-INF/com.liferay.segments.internal.odat
 a.matcher.ContextODataMatcher.xml,OSGI-INF/com.liferay.segments.inter
 nal.odata.matcher.SegmentsEntryODataMatcher.xml,OSGI-INF/com.liferay.
 segments.internal.odata.retriever.OrganizationODataRetriever.xml,OSGI
 -INF/com.liferay.segments.internal.odata.retriever.UserODataRetriever
 .xml,OSGI-INF/com.liferay.segments.internal.odata.search.ODataSearchA
 dapterImpl.xml,OSGI-INF/com.liferay.segments.internal.processor.Defau
 ltSegmentsExperienceRequestProcessor.xml,OSGI-INF/com.liferay.segment
 s.internal.processor.SegmentsExperienceRequestProcessorRegistryImpl.x
 ml,OSGI-INF/com.liferay.segments.internal.provider.DefaultSegmentsEnt
 ryProvider.xml,OSGI-INF/com.liferay.segments.internal.provider.Referr
 edSegmentsEntryProvider.xml,OSGI-INF/com.liferay.segments.internal.pr
 ovider.SegmentsEntryProviderRegistryImpl.xml,OSGI-INF/com.liferay.seg
 ments.internal.search.SegmentsEntrySearchRegistrar.xml,OSGI-INF/com.l
 iferay.segments.internal.search.spi.model.index.contributor.SegmentsE
 ntryModelDocumentContributor.xml,OSGI-INF/com.liferay.segments.intern
 al.search.spi.model.index.contributor.SegmentsEntryModelIndexerWriter
 Contributor.xml,OSGI-INF/com.liferay.segments.internal.search.spi.mod
 el.index.contributor.UserModelDocumentContributor.xml,OSGI-INF/com.li
 feray.segments.internal.search.spi.model.query.contributor.SegmentsEn
 tryKeywordQueryContributor.xml,OSGI-INF/com.liferay.segments.internal
 .search.spi.model.query.contributor.SegmentsEntryModelPreFilterContri
 butor.xml,OSGI-INF/com.liferay.segments.internal.search.spi.model.que
 ry.contributor.UserModelPreFilterContributor.xml,OSGI-INF/com.liferay
 .segments.internal.search.spi.model.result.contributor.SegmentsEntryM
 odelSummaryContributor.xml,OSGI-INF/com.liferay.segments.internal.sec
 urity.permission.contributor.SegmentsEntryRoleContributor.xml,OSGI-IN
 F/com.liferay.segments.internal.security.permission.resource.Segments
 EntryModelResourcePermissionRegistrar.xml,OSGI-INF/com.liferay.segmen
 ts.internal.security.permission.resource.SegmentsExperienceModelResou
 rcePermissionRegistrar.xml,OSGI-INF/com.liferay.segments.internal.sec
 urity.permission.resource.SegmentsExperimentModelResourcePermissionRe
 gistrar.xml,OSGI-INF/com.liferay.segments.internal.security.permissio
 n.resource.SegmentsPortletResourcePermissionRegistrar.xml,OSGI-INF/co
 m.liferay.segments.internal.upgrade.SegmentsServiceUpgrade.xml,OSGI-I
 NF/com.liferay.segments.internal.xstream.configurator.SegmentsXStream
 Configurator.xml,OSGI-INF/com.liferay.segments.service.impl.SegmentsE
 ntryLocalServiceImpl.xml,OSGI-INF/com.liferay.segments.service.impl.S
 egmentsEntryRelLocalServiceImpl.xml,OSGI-INF/com.liferay.segments.ser
 vice.impl.SegmentsEntryRelServiceImpl.xml,OSGI-INF/com.liferay.segmen
 ts.service.impl.SegmentsEntryRoleLocalServiceImpl.xml,OSGI-INF/com.li
 feray.segments.service.impl.SegmentsEntryServiceImpl.xml,OSGI-INF/com
 .liferay.segments.service.impl.SegmentsExperienceLocalServiceImpl.xml
 ,OSGI-INF/com.liferay.segments.service.impl.SegmentsExperienceService
 Impl.xml,OSGI-INF/com.liferay.segments.service.impl.SegmentsExperimen
 tLocalServiceImpl.xml,OSGI-INF/com.liferay.segments.service.impl.Segm
 entsExperimentRelLocalServiceImpl.xml,OSGI-INF/com.liferay.segments.s
 ervice.impl.SegmentsExperimentRelServiceImpl.xml,OSGI-INF/com.liferay
 .segments.service.impl.SegmentsExperimentServiceImpl.xml,OSGI-INF/com
 .liferay.segments.service.persistence.impl.SegmentsEntryPersistenceIm
 pl.xml,OSGI-INF/com.liferay.segments.service.persistence.impl.Segment
 sEntryRelPersistenceImpl.xml,OSGI-INF/com.liferay.segments.service.pe
 rsistence.impl.SegmentsEntryRolePersistenceImpl.xml,OSGI-INF/com.life
 ray.segments.service.persistence.impl.SegmentsExperiencePersistenceIm
 pl.xml,OSGI-INF/com.liferay.segments.service.persistence.impl.Segment
 sExperimentFinderImpl.xml,OSGI-INF/com.liferay.segments.service.persi
 stence.impl.SegmentsExperimentPersistenceImpl.xml,OSGI-INF/com.lifera
 y.segments.service.persistence.impl.SegmentsExperimentRelPersistenceI
 mpl.xml,OSGI-INF/com.liferay.segments.service.persistence.impl.consta
 nts.SegmentsPersistenceConstants.xml
Tool: Bnd-4.3.0.201909301554

